# phpMyAdmin SQL Dump
# version 2.5.5-pl1
# http://www.phpmyadmin.net
#
# Host: localhost
# Erstellungszeit: 08. August 2004 um 11:41
# Server Version: 4.0.17
# PHP-Version: 4.3.5
# 
# Datenbank: `phpdigplus`
# 

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `phpdigplusengine`
#

CREATE TABLE `phpdigplusengine` (
  `spider_id` mediumint(9) NOT NULL default '0',
  `key_id` mediumint(9) NOT NULL default '0',
  `weight` smallint(4) NOT NULL default '0',
  KEY `key_id` (`key_id`)
) TYPE=MyISAM;

#
# Daten fr Tabelle `phpdigplusengine`
#


# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `phpdigplusexcludes`
#

CREATE TABLE `phpdigplusexcludes` (
  `ex_id` mediumint(11) NOT NULL auto_increment,
  `ex_site_id` mediumint(9) NOT NULL default '0',
  `ex_path` text NOT NULL,
  PRIMARY KEY  (`ex_id`),
  UNIQUE KEY `ex_id` (`ex_id`),
  KEY `ex_site_id` (`ex_site_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Daten fr Tabelle `phpdigplusexcludes`
#


# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `phpdigpluskeywords`
#

CREATE TABLE `phpdigpluskeywords` (
  `key_id` mediumint(9) NOT NULL auto_increment,
  `twoletters` char(2) NOT NULL default '',
  `keyword` varchar(64) NOT NULL default '',
  PRIMARY KEY  (`key_id`),
  UNIQUE KEY `keyword` (`keyword`),
  UNIQUE KEY `key_id` (`key_id`),
  KEY `twoletters` (`twoletters`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Daten fr Tabelle `phpdigpluskeywords`
#


# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `phpdigpluslogs`
#

CREATE TABLE `phpdigpluslogs` (
  `l_id` mediumint(9) NOT NULL auto_increment,
  `l_includes` varchar(255) NOT NULL default '',
  `l_excludes` varchar(127) default NULL,
  `l_num` mediumint(9) default NULL,
  `l_mode` char(1) default NULL,
  `l_ts` timestamp(14) NOT NULL,
  `l_time` float NOT NULL default '0',
  PRIMARY KEY  (`l_id`),
  UNIQUE KEY `l_id` (`l_id`),
  KEY `l_includes` (`l_includes`),
  KEY `l_excludes` (`l_excludes`)
) TYPE=MyISAM AUTO_INCREMENT=9 ;

#
# Daten fr Tabelle `phpdigpluslogs`
#

INSERT INTO `phpdigpluslogs` VALUES (8, 'ficken', '', 49, 's', 20040417233722, '0.04');
INSERT INTO `phpdigpluslogs` VALUES (7, '', '', 0, 's', 20040417233717, '0');

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `phpdigplussites`
#

CREATE TABLE `phpdigplussites` (
  `site_id` mediumint(9) NOT NULL auto_increment,
  `site_url` varchar(127) NOT NULL default '',
  `upddate` timestamp(14) NOT NULL,
  `username` varchar(32) default NULL,
  `password` varchar(32) default NULL,
  `port` smallint(6) default NULL,
  `locked` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`site_id`),
  UNIQUE KEY `site_id` (`site_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Daten fr Tabelle `phpdigplussites`
#


# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `phpdigplusspider`
#

CREATE TABLE `phpdigplusspider` (
  `spider_id` mediumint(9) NOT NULL auto_increment,
  `file` varchar(127) NOT NULL default '',
  `first_words` text NOT NULL,
  `upddate` timestamp(14) NOT NULL,
  `md5` varchar(50) default NULL,
  `site_id` mediumint(9) NOT NULL default '0',
  `path` varchar(127) NOT NULL default '',
  `num_words` int(11) NOT NULL default '1',
  `last_modified` timestamp(14) NOT NULL,
  `filesize` int(11) NOT NULL default '0',
  PRIMARY KEY  (`spider_id`),
  UNIQUE KEY `spider_id` (`spider_id`),
  KEY `site_id` (`site_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Daten fr Tabelle `phpdigplusspider`
#


# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `phpdigplustempspider`
#

CREATE TABLE `phpdigplustempspider` (
  `file` text NOT NULL,
  `id` mediumint(11) NOT NULL auto_increment,
  `level` tinyint(6) NOT NULL default '0',
  `path` text NOT NULL,
  `site_id` mediumint(9) NOT NULL default '0',
  `indexed` tinyint(1) NOT NULL default '0',
  `upddate` timestamp(14) NOT NULL,
  `error` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `site_id` (`site_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Daten fr Tabelle `phpdigplustempspider`
#


# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `newsites`
#

CREATE TABLE `newsites` (
  `new_site_id` mediumint(3) unsigned NOT NULL auto_increment,
  `date_added` datetime default NULL,
  `new_site_url` varchar(255) default NULL,
  `comments` varchar(255) default NULL,
  `url_action` tinyint(1) unsigned default '0',
  PRIMARY KEY  (`new_site_id`),
  UNIQUE KEY `new_site_id` (`new_site_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

#
# Daten fr Tabelle `newsites`
#

